package cn.com.ty.lift.quan.news.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Blob;
import java.time.LocalDateTime;

/**
 * <p>
 * 电梯圈新闻公告
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QuanNews implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 新闻id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 置顶排序
     */
    @TableField("top_serial")
    private Integer topSerial;

    /**
     * 标题
     */
    @TableField("title")
    private String title;

    /**
     * 内容+图片
     */
    @TableField("content")
    private Blob content;

    /**
     * 视频地址
     */
    @TableField("video")
    private String video;

    /**
     * 发布时间
     */
    @TableField("release_date")
    private LocalDateTime releaseDate;

    /**
     * 发布人名称
     */
    @TableField("release_user")
    private String releaseUser;

    /**
     * 发布人id
     */
    @TableField("release_id")
    private Long releaseId;


}
