package cn.com.ty.lift.quan.news.service.impl;

import cn.com.ty.lift.quan.news.dao.entity.QuanNews;
import cn.com.ty.lift.quan.news.dao.mapper.QuanNewsMapper;
import cn.com.ty.lift.quan.news.service.QuanNewsService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mysql.cj.jdbc.Blob;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 电梯圈新闻公告 服务实现类
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-12-02
 */
@Service
public class QuanNewsServiceImpl extends ServiceImpl<QuanNewsMapper, QuanNews> implements QuanNewsService {

    public RestResponse updateNews(int id, String title, Blob content) {
        QuanNews byId = this.getById(id);
        if (null == byId) {
            return RestResponse.ok(null, "0", "不存在此新闻");
        } else {
            byId.setTitle(title).setContent(content);
            if (this.updateById(byId)) {
                return RestResponse.ok(null, "1", "更新成功");
            } else {
                return RestResponse.ok(null, "0", "更新失败");
            }
        }
    }

    public RestResponse top(int id) {
        QuanNews one = this.getOne(new QueryWrapper<QuanNews>().eq("id", id));
        if (one != null) {
            QuanNews top_serial = this.getOne(new QueryWrapper<QuanNews>().eq("top_serial", 1));
            top_serial.setTopSerial(0);
            this.updateById(top_serial);
            one.setTopSerial(1);
            this.updateById(one);
            return RestResponse.ok(null, "1", "置顶成功");
        } else {
            return RestResponse.ok(null, "0", "新闻不存在");
        }
    }
}
